Bug 1001595 - clementine - excessive debug output
clementine - excessive debug output
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clementine (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 07:15 EDT by Gregor Tätzner
Modified: 2013-09-22 20:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: clementine-1.1.1-9.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:32:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregor Tätzner 2013-08-27 07:15:34 EDT
Description of problem:
clementine spams debug messages by default if you start it from console


How reproducible:
rum cmd 'clementine'


Actual results:
stuff like that:
12:49:57.591 DEBUG MainWindow:245                   Initialising player 
12:49:57.595 DEBUG MainWindow:251                   Creating models 
12:49:57.601 DEBUG MainWindow:269                   Creating UI 
12:49:57.618 DEBUG MainWindow:626                   Creating equalizer 
12:49:57.633 DEBUG MainWindow:648                   Creating now playing widget 
12:49:57.768 DEBUG MainWindow:689                   Loading settings 
12:49:57.828 DEBUG MainWindow:744                   Started 
12:49:58.468 DEBUG Geolocator:115                   Gelocated to: (47491695,11095498) 
12:50:08.530 DEBUG DeviceKitLister:39               virtual DeviceKitLister::~DeviceKitLister() 
12:50:08.534 DEBUG WorkerPool<HandlerType>:180      Closing worker socket 
12:50:08.537 DEBUG WorkerPool<HandlerType>:180      Closing worker socket


Expected results:
no messages marked with 'DEBUG'


Additional info:
you can disable those messages with this cmake option: '-DCMAKE_BUILD_TYPE:STRING=Release'
Comment 1 Fedora Update System 2013-09-04 13:02:49 EDT
clementine-1.1.1-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/clementine-1.1.1-9.fc20
Comment 2 Gregor Tätzner 2013-09-04 15:19:42 EDT
thanks, but actually this report is about f19 (and below)
Comment 3 Fedora Update System 2013-09-05 13:53:02 EDT
Package clementine-1.1.1-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clementine-1.1.1-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15861/clementine-1.1.1-9.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-22 20:32:47 EDT
clementine-1.1.1-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.